Package com.enonic.xp.security

## Class PrincipalQuery.Builder

- java.lang.Object
- - com.enonic.xp.security.PrincipalQuery.Builder

- Enclosing class:
    PrincipalQuery

      public static class PrincipalQuery.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PrincipalQuery` | `build()` |
    `PrincipalQuery.Builder` | `displayName​(String displayName)` |
    `PrincipalQuery.Builder` | `email​(String email)` |
    `PrincipalQuery.Builder` | `from​(int from)` |
    `PrincipalQuery.Builder` | `getAll()` |
    `PrincipalQuery.Builder` | `idProvider​(IdProviderKey idProviderKey)` |
    `PrincipalQuery.Builder` | `idProviders​(Iterable<IdProviderKey> idProviderKeys)` |
    `PrincipalQuery.Builder` | `includeGroups()` |
    `PrincipalQuery.Builder` | `includeRoles()` |
    `PrincipalQuery.Builder` | `includeTypes​(PrincipalType... principalTypes)` |
    `PrincipalQuery.Builder` | `includeTypes​(Iterable<PrincipalType> principalTypes)` |
    `PrincipalQuery.Builder` | `includeUsers()` |
    `PrincipalQuery.Builder` | `name​(String name)` |
    `PrincipalQuery.Builder` | `searchText​(String searchText)` |
    `PrincipalQuery.Builder` | `size​(int size)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public PrincipalQuery.Builder from​(int from)

    - #### size

          public PrincipalQuery.Builder size​(int size)

    - #### getAll

          public PrincipalQuery.Builder getAll()

    - #### includeUsers

          public PrincipalQuery.Builder includeUsers()

    - #### includeGroups

          public PrincipalQuery.Builder includeGroups()

    - #### includeRoles

          public PrincipalQuery.Builder includeRoles()

    - #### includeTypes

          public PrincipalQuery.Builder includeTypes​(PrincipalType... principalTypes)

    - #### includeTypes

          public PrincipalQuery.Builder includeTypes​(Iterable<PrincipalType> principalTypes)

    - #### idProvider

          public PrincipalQuery.Builder idProvider​(IdProviderKey idProviderKey)

    - #### idProviders

          public PrincipalQuery.Builder idProviders​(Iterable<IdProviderKey> idProviderKeys)

    - #### searchText

          public PrincipalQuery.Builder searchText​(String searchText)

    - #### email

          public PrincipalQuery.Builder email​(String email)

    - #### name

          public PrincipalQuery.Builder name​(String name)

    - #### displayName

          public PrincipalQuery.Builder displayName​(String displayName)

    - #### build

          public PrincipalQuery build()